import React from 'react';
import PropTypes from 'prop-types';
declare const propTypes: {
    /**
     * How many times a link must be clicked to show the first interstitial. Defaults to 1.
     */
    firstTriggerClicks: PropTypes.Requireable<number>;
    /**
     * How many times a link must be clicked to show after the initial show.
     */
    nextTriggerClicks: PropTypes.Requireable<number>;
    /**
     * List of classes that count for the trigger clicks.
     */
    triggerClass: PropTypes.Requireable<string[]>;
    /**
     * How often to show the ad in the given period.
     */
    frequencyCount: PropTypes.Requireable<number>;
    /**
     * Once closed, stay hidden for this amount of minutes. Defaults to 720 (12 hours).
     */
    frequencyPeriod: PropTypes.Requireable<number>;
    /**
     * How to limit the display of interstitials.
     */
    frequencyType: PropTypes.Validator<NonNullable<"clicks" | "time">>;
    zoneId: PropTypes.Validator<NonNullable<NonNullable<string | number | null | undefined>>>;
    sub: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
    sub2: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
    sub3: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
    keywords: PropTypes.Requireable<string[]>;
};
type FullpageInterstitialProps = PropTypes.InferProps<typeof propTypes>;
export declare const FullpageInterstitial: React.FC<FullpageInterstitialProps>;
export {};
