import React from 'react';
import PropTypes from 'prop-types';
declare const propTypes: {
    /**
     * The format of the banner. This must be the same value as configured in ExoClick.
     */
    format: PropTypes.Validator<NonNullable<"728x90" | "300x250" | "160x600" | "900x250">>;
    /**
     * Vertical position. Defaults to bottom.
     */
    verticalPosition: PropTypes.Requireable<"top" | "middle" | "bottom">;
    /**
     * Horizontal position. Defaults to center.
     */
    horizontalPosition: PropTypes.Requireable<"left" | "center" | "right">;
    zoneId: PropTypes.Validator<NonNullable<NonNullable<string | number | null | undefined>>>;
    /**
     * The format of the banner. This must be the same value as configured in ExoClick.
     */
    sub: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
    sub2: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
    sub3: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
    keywords: PropTypes.Requireable<string[]>;
};
type StickyBannerProps = PropTypes.InferProps<typeof propTypes>;
export declare const StickyBanner: React.FC<StickyBannerProps>;
export {};
